package com.sunxung.factoring.entity.cashflowmanage.vo;

import java.math.BigDecimal;

/**
 * @Description : 货物结算信息
 * @Author : L.Jia
 * @Date: 2021-12-15 18:39
 */
public class BillGoodsInfoVo {

    /**
     * 结算单号
     */
    private String billInformationNumber;

    /**
     * 结算总金额
     */
    private BigDecimal billAmountTotal;

    /**
     * 本次分配金额
     */
    private BigDecimal currentAssignAmount;

    /**
     * 保理融资本息
     */
    private BigDecimal principalInterest;

    /**
     * 平台利润
     */
    private BigDecimal platformProfit;

    /**
     * 折扣金额
     */
    private BigDecimal discountAmount;

    public String getBillInformationNumber() {
        return billInformationNumber;
    }

    public void setBillInformationNumber(String billInformationNumber) {
        this.billInformationNumber = billInformationNumber;
    }

    public BigDecimal getBillAmountTotal() {
        return billAmountTotal;
    }

    public void setBillAmountTotal(BigDecimal billAmountTotal) {
        this.billAmountTotal = billAmountTotal;
    }

    public BigDecimal getCurrentAssignAmount() {
        return currentAssignAmount;
    }

    public void setCurrentAssignAmount(BigDecimal currentAssignAmount) {
        this.currentAssignAmount = currentAssignAmount;
    }

    public BigDecimal getPrincipalInterest() {
        return principalInterest;
    }

    public void setPrincipalInterest(BigDecimal principalInterest) {
        this.principalInterest = principalInterest;
    }

    public BigDecimal getPlatformProfit() {
        return platformProfit;
    }

    public void setPlatformProfit(BigDecimal platformProfit) {
        this.platformProfit = platformProfit;
    }

    public BigDecimal getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(BigDecimal discountAmount) {
        this.discountAmount = discountAmount;
    }
}
